enum Event
{
    New,
    Modify,
    Delete
}


impl std::fmt::Display for Event
{
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result
    {
        match self
        {
            Event::New =>
            {
                write!(f, "NEW")
            }
            Event::Modify =>
            {
                write!(f, "MOD")
            }
            Event::Delete =>
            {
                write!(f, "DEL")
            }
        }
    }
}
