///
pub struct MonitoredFiles
{
    ///
    mod_dates: Vec<Option<std::time::SystemTime>>,

    ///
    paths: Vec<Option<std::path::PathBuf>>
}


impl MonitoredFiles
{
    pub fn new() -> Self
    {
        MonitoredFiles
        {
            mod_dates: Vec::new(),
            paths: Vec::new()
        }
    }
}


impl std::fmt::Display for Point
{
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result
    {
        write!(f, "({}, {})", self.x, self.y)
    }
}
